
<section class="position-relative py-2 py-xl-3">
    <div class="container">
        <div class="row d-flex justify-content-center">
            <div class="bs-icon-xl bs-icon-circle bs-icon-primary bs-icon my-4 d-flex justify-content-center">
                <img src="../../../assets/images/logos/alfa.png" width=300px alt="logo">
            </div>
            
            <div class="col-sm-8 col-md-6 col-xl-4">
                <div class="card mb-5 containerRegistrar ">
                
                <div class="card-body">
                    <form class="text-center" method="post" [formGroup]="registerForm" (ngSubmit)="register()" novalidate>
                        <div class="form-row">
                            <div class="mb-2 form-group">
                                <input type="email" formControlName="email" class="form-control" placeholder="Ingrese su email" required>
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('email')?.errors && (registerForm.get('email')?.dirty || registerForm.get('email')?.touched)">
                                <div *ngIf="registerForm.get('email').errors?.['required']">Campo obligatorio</div>
                                <div *ngIf="registerForm.get('email').errors?.['email']">Mail no válido</div>
                            </div>

                            <div class="mb-2">
                                <input type="text" formControlName="nombre" class="form-control" placeholder="Ingrese su nombre" required>                            
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('nombre')?.errors && (registerForm.get('nombre')?.dirty || registerForm.get('nombre')?.touched)">
                                <div *ngIf="registerForm.get('nombre').errors?.['required']">Campo obligatorio</div>
                            </div>

                            <div class="mb-2">
                                <input type="text" formControlName="apellido" class="form-control" placeholder="Ingrese su apellido" required>                            
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('apellido')?.errors && (registerForm.get('apellido')?.dirty || registerForm.get('apellido')?.touched)">
                                <div *ngIf="registerForm.get('apellido').errors?.['required']">Campo obligatorio</div>
                            </div>

                            <div class="mb-2">
                                <input type="text" formControlName="direccion" class="form-control" placeholder="Ingrese su dirección" required>                            
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('direccion')?.errors && (registerForm.get('direccion')?.dirty || registerForm.get('direccion')?.touched)">
                                <div *ngIf="registerForm.get('direccion').errors?.['required']">Campo obligatorio</div>
                            </div>

                            <div class="mb-2">
                                <input type="password" formControlName="contrasena" class="form-control" placeholder="Ingrese su contraseña" required>                            
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('contrasena')?.errors && (registerForm.get('contrasena')?.dirty || registerForm.get('contrasena')?.touched)">
                                <div *ngIf="registerForm.get('contrasena').errors?.['required']">Campo obligatorio</div>
                                <div *ngIf="registerForm.get('contrasena').errors?.['minlength']">La constraseña debe tener mínimo 8 caracteres</div>
                            </div>

                            <div class="mb-2">
                                <input type="number" formControlName="dni" class="form-control" placeholder="Ingrese su dni" required>                            
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('dni')?.errors && (registerForm.get('dni')?.dirty || registerForm.get('dni')?.touched)">
                                <div *ngIf="registerForm.get('dni').errors?.['required']">Campo obligatorio</div>
                            </div>

                            <div class="mb-2">
                                <input type="number" formControlName="telefono" class="form-control" placeholder="Ingrese su teléfono" required>                            
                            </div>
                            <div class="mensajeValidacion" *ngIf="registerForm.get('telefono')?.errors && (registerForm.get('telefono')?.dirty || registerForm.get('telefono')?.touched)">
                                <div *ngIf="registerForm.get('telefono').errors?.['required']">Campo obligatorio</div>
                            </div>

                            <div class="mb-2">
                                  <select class="form-select" formControlName="rol" aria-label="Default select example" required>
                                    <option selected disabled value="">Soy:</option>
                                    <option value="Paciente">Paciente</option>
                                    <option value="Cuidador">Cuidador</option>
                                    <option value="Institución">Institución</option>
                                  </select>
                            </div>
                            <div class="mensajeValidacion mb-3" *ngIf="registerForm.get('rol')?.errors && (registerForm.get('rol')?.dirty || registerForm.get('rol')?.touched)">
                                <div *ngIf="registerForm.get('rol').errors?.['required']">Campo obligatorio</div>
                            </div>

                            <button  class="btn btn-primary d-block w-100" type="submit">Crear Cuenta</button>
                    </div>
                    </form>
                    
                </div>
                <div class="text-center">
                    <a href="/auth/login" class="text-muted">¿Ya tenés cuenta? Logueate</a>
                </div>
        </div>
    </div>
    </div>
    </div>
</section>